SDL_HasAVX512F(3)

NAME
SDL_HasAVX512F - Determine whether the CPU has AVX-512F (foundation) features.

SYNOPSIS
#include <SDL3/SDL_cpuinfo.h>

bool SDL_HasAVX512F(void);

DESCRIPTION
This always returns false on CPUs that aren't using Intel instruction sets.

RETURN VALUE
Returns true if the CPU has AVX-512F features or false if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasAVX(3), SDL_HasAVX2(3)